flex-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Carlos Rovira (JIRA)" <j...@apache.org>
Subject [jira] [Created] (FLEX-35179) When extend a class, an import for the class is required
Date Tue, 22 Nov 2016 17:53:58 GMT
Carlos Rovira created FLEX-35179:
------------------------------------

             Summary: When extend a class, an import for the class is required
                 Key: FLEX-35179
                 URL: https://issues.apache.org/jira/browse/FLEX-35179
             Project: Apache Flex
          Issue Type: Bug
          Components: FalconJX
    Affects Versions: Apache FalconJX 0.8.0
         Environment: macOs Sierra
            Reporter: Carlos Rovira


If you try to extend a FlexJS class (i.e: List) you should do it like this_

public class List extends org.apache.flex.html.List

but compiler fails reporting that there's missing import

The workaround is add:

 import org.apache.flex.html.List;

But this should not be required





--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message